/* 02.04.1989  amn  (latest edit) */

/* common_mac_includes.h  -  '#include's Mac OS headers needed by every source file. */

/* The Lightspeed C Mac header files needed in every source file of our driver */
/* are included in dependency order. */

/* Authors:  Ari Mujunen (amn@hutcs.hut.fi) and Olli Arnberg (oar@hutcs.hut.fi). */
/* Copyright Ari Mujunen, Olli Arnberg 1989. */
/* You may redistribute the driver (=printer resource file, source files, */
/* documentation file(s), and the file 'Copyright and Source Offer') */
/* only _non-commercially_ and _in its entirety_. */
/* See the file 'Copyright and Source Offer' and/or documentation for details. */
/* Acknowledgements:  Special thanks to Mr. Earle R. Horton for his 'Daisy' */
/* daisywheel printer driver and its source code published in 'MacTutor', Nov-Dec 1987. */
/* This driver served as a basis and inspiration for our work.  It also */
/* proofed that a Macintosh printer driver can be done despite the lack of */
/* documentation from Apple. */

/* Change history: */
/* Version  When        Who      Why */
/* 2.0      12.11.1988  amn      Original rewrite. */
/* 2.1      02.04.1989  amn,oar  Released version. */


/* Stand-alone: */
#include <MacTypes.h>

/* Need 'MacTypes.h': */
#include <MemoryMgr.h>
#include <OSUtil.h>
#include <QuickDraw.h>
#include <EventMgr.h>
#include <FontMgr.h>
#include <FileMgr.h>

/* Needs 'OSUtil.h': */
#include <DeviceMgr.h>

/* Need 'QuickDraw.h': */
#include <WindowMgr.h>
#include <TextEdit.h>

/* Needs 'MacTypes.h', 'WindowMgr.h', 'TextEdit.h': */
#include <DialogMgr.h>

/* Needs 'DialogMgr.h': */
#include <PrintMgr.h>
